net.minecraft.server.management

## Class PlayerInstance

- java.lang.Object
- - net.minecraft.server.management.PlayerInstance

-     public class PlayerInstance
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `clumpingThreshold`
    `List` | `playersInChunk`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayerInstance(PlayerManager par1PlayerManager, int par2, int par3)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPlayerToChunkWatchingList(EntityPlayerMP par1EntityPlayerMP)` called for all chunks within the visible radius of the player
    `void` | `flagChunkForUpdate(int par1, int par2, int par3)`
    `void` | `sendChunkUpdate()`
    `void` | `sendThisChunkToPlayer(EntityPlayerMP par1EntityPlayerMP)`
    `void` | `sendToAllPlayersWatchingChunk(Packet par1Packet)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clumpingThreshold

          public static int clumpingThreshold

    - #### playersInChunk

          public final List playersInChunk

  - ### Constructor Detail

    - #### PlayerInstance

          public PlayerInstance(PlayerManager par1PlayerManager,
                        int par2,
                        int par3)

  - ### Method Detail

    - #### addPlayerToChunkWatchingList

          public void addPlayerToChunkWatchingList(EntityPlayerMP par1EntityPlayerMP)

      called for all chunks within the visible radius of the player

    - #### sendThisChunkToPlayer

          public void sendThisChunkToPlayer(EntityPlayerMP par1EntityPlayerMP)

    - #### flagChunkForUpdate

          public void flagChunkForUpdate(int par1,
                                int par2,
                                int par3)

    - #### sendToAllPlayersWatchingChunk

          public void sendToAllPlayersWatchingChunk(Packet par1Packet)

    - #### sendChunkUpdate

          public void sendChunkUpdate()